PIP-EXTRA-REQS(1)

NAME
pip-extra-reqs - find packages that should not be in requirements

SYNOPSIS
pip-extra-reqs [options] files or directories

DESCRIPTION
This manual page documents briefly the pip-extra-reqs command.

pip-extra-reqs is a program that looks for extra unnecessary dependencies in a project's requirements.txt.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show summary of options.

-f IGNORE_FILES, --ignore-file=IGNORE_FILES
    File paths globs to ignore

--requirements-file=PATH
    Path to the requirements file (defaults to "requirements.txt")

-m IGNORE_MODS, --ignore-module=IGNORE_MODS
    Used module names (globs are ok) to ignore

-m IGNORE_REQS, --ignore-requirement=IGNORE_REQS
    Reqs in requirements.txt to ignore

-s, --skip-incompatible
    Skip requirements that have incompatible environment

-d, --debug
    Be *really* verbose.

-v, --verbose
    Be more verbose.

--version
    Display version information.

SEE ALSO
pip-missing-reqs(1),